%define major 16
%define libname	%mklibname png %{major} %{major}
%define develname %mklibname png1.6 -d

Summary:	A library of functions for manipulating PNG image format files
Name:		libpng
Version:	1.6.40
Release:	%mkrel 1
License:	zlib
Group:		System/Libraries
URL:		http://www.libpng.org/pub/png/libpng.html
Source:		http://downloads.sourceforge.net/libpng/%{name}-%{version}.tar.xz
Patch0:		http://downloads.sourceforge.net/libpng-apng/libpng-%{version}-apng.patch.gz

BuildRequires:	cmake
BuildRequires: 	pkgconfig(zlib)

%description
The libpng package contains a library of functions for creating and
manipulating PNG (Portable Network Graphics) image format files.  PNG is
a bit-mapped graphics format similar to the GIF format.  PNG was created to
replace the GIF format, since GIF uses a patented data compression
algorithm.

Libpng should be installed if you need to manipulate PNG format image
files.

%package -n	%{libname}
Summary:	A library of functions for manipulating PNG image format files
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with libpng.

%package -n	%{develname}
Summary:	Development tools for programs to manipulate PNG image format files
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Requires:	zlib-devel
Provides:	%{name}-devel = %{version}-%{release}
Provides:	png-devel = %{version}-%{release}
Provides:	lib64png-devel

%description -n	%{develname}
The libpng-devel package contains the header files and libraries
necessary for developing programs using the PNG (Portable Network
Graphics) library.

If you want to develop programs which will manipulate PNG image format
files, you should install libpng-devel.  You'll also need to install the
libpng package.

%prep
%autosetup -p1

%build
export CFLAGS="%{optflags} -O3 -funroll-loops -DPIC -fPIC"
%cmake -DPNG_SHARED:BOOL=ON \
       -DPNG_STATIC:BOOL=OFF \
       -DPNG_NO_STDIO=no \
       -DPNG_NO_CONSOLE_IO=no
%cmake_build

%install
%cmake_install

# multiarch
%multiarch_binaries %{buildroot}%{_bindir}/libpng%{major}-config

# should be multiarch if kept
rm -f  %{buildroot}%{_prefix}/lib/%{name}/*.cmake

%files -n %{libname}
%{_libdir}/libpng%{major}.so.%{major}{,.*}

%files -n %{develname}
%{_bindir}/libpng-config
%{_bindir}/libpng%{major}-config
%{_bindir}/png-fix-itxt
%{_bindir}/pngfix
%{multiarch_bindir}/libpng%{major}-config
%{_includedir}/*
%{_libdir}/libpng.so
%{_libdir}/libpng%{major}.so
%{_libdir}/pkgconfig/*
%{_mandir}/man?/*


%changelog
* Fri Sep 22 2023 tex - 1.6.40-1pclos2023
- new version

